- Qt 5.15
- Qt 3D
- C++ Classes
- QClipAnimator
- Qt 5.15.18 Reference Documentation

# QClipAnimator Class

class Qt3DAnimation::QClipAnimator

QClipAnimator is a component providing simple animation playback capabilities. More...

Header: | #include <QClipAnimator>
qmake: | QT += 3danimation
Since: | Qt 5.9
Instantiated By: | ClipAnimator
Inherits: | Qt3DAnimation::QAbstractClipAnimator

This class was introduced in Qt 5.9.

- List of all members, including inherited members

## Properties

- clip : Qt3DAnimation::QAbstractAnimationClip*

## Public Functions

Qt3DAnimation::QAbstractAnimationClip * | clip() const

## Public Slots

void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

## Signals

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

## Detailed Description

An instance of QClipAnimator can be aggregated by a QEntity to add the ability to play back animation clips and to apply the calculated animation values to properties of QObjects.

The animation key frame data is provided via the clip property. This can be created programmatically with QAnimationClip or loaded from file with QAnimationClipLoader.

In order to apply the values played back from the channels of data in the animation clip, the clip animator needs to have a QChannelMapper object assigned to the channelMapper property.

The properties for controlling the animator are provided by the QAbstractClipAnimator base class.

See also Qt3DAnimation::QAbstractClipAnimator, Qt3DAnimation::QAbstractAnimationClip, Qt3DAnimation::QChannelMapper, and Qt3DAnimation::QBlendedClipAnimator.

## Property Documentation

### clip : Qt3DAnimation::QAbstractAnimationClip*

This property holds the animation clip which contains the key frame data to be played back. The key frame data can be specified in either a QAnimationClip or QAnimationClipLoader.

Access functions:

Qt3DAnimation::QAbstractAnimationClip * | clip() const
void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

Notifier signal:

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)